All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors
Class SelectorServlet

    com.sas.servlet.tbeans.dataselectors.SelectorServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class SelectorServlet

Servlet that assists with the display and processing of data selectors. Requests processed by this servlet must contain the name of an `HttpActionProvider` object that can be retrieved from the user session. The HttpActionProvider is responsible for processing user actions to display or close the selector and process user actions withing the selector dialogs.

To set the character encoding that will be set on the servlet's response, then you can place the character encoding to be used on the request object or the session. The attribute name of the key used is the String com.sas.web.keys.ComponentKeys.CHARACTER_ENCODING. The order of preference is the request and then the session. If you do not set the character encoding, then the ComponentPropertyManager.getOutputCharacterEncoding() will be used. The default value on the ComponentPropertyManager is UTF-8.

For More Information:

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.1
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_TEMPLATE_FILE_NAME` The name of the file containing the default selector template.
`static java.lang.String` | `PARAM_ACTIONPROVIDERNAME` The name of the request parameter that will be examined to find the location of the ActionProvider in the session.
`static java.lang.String` | `PARAM_CMDID` The name of the request parameter that will be examined to find the command ID the ActionProvider will need to locate the appropriate command to execute.
`static java.lang.String` | `PARAM_TEMPLATE` The name of the request parameter that will be examined to find the location/name of the template to use for the servlet container.
`static java.lang.String` | `QUERY_CONN_MANAGER`
`static java.lang.String` | `RB_KEY` Key used to retrieve messages from properties file
`static java.lang.String` | `REFRESH_VIEWER`

Constructor Summary
`SelectorServlet()`

Method Summary
`java.lang.String` | `getServletInfo()`
`void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Writes the content bytes to the output stream.
`static void` | `servletInvocationMethod(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Processes user actions for the data selectors.

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

  Key used to retrieve messages from properties file

  See Also:
    Constant Field Values

### DEFAULT_TEMPLATE_FILE_NAME

    public static java.lang.String DEFAULT_TEMPLATE_FILE_NAME

  The name of the file containing the default selector template.

### PARAM_ACTIONPROVIDERNAME

    public static final java.lang.String PARAM_ACTIONPROVIDERNAME

  The name of the request parameter that will be examined to find the location of the ActionProvider in the session.

  See Also:
    Constant Field Values

### PARAM_CMDID

    public static final java.lang.String PARAM_CMDID

  The name of the request parameter that will be examined to find the command ID the ActionProvider will need to locate the appropriate command to execute.

  See Also:
    Constant Field Values

### PARAM_TEMPLATE

    public static final java.lang.String PARAM_TEMPLATE

  The name of the request parameter that will be examined to find the location/name of the template to use for the servlet container. This parameter is optional and a default template will be used if none is specified or if the given value is invalid.

  See Also:
    Constant Field Values

### REFRESH_VIEWER

    public static final java.lang.String REFRESH_VIEWER

See Also:
  Constant Field Values

### QUERY_CONN_MANAGER

    public static final java.lang.String QUERY_CONN_MANAGER

See Also:
  Constant Field Values

Constructor Detail

### SelectorServlet

    public SelectorServlet()

Method Detail

### getServletInfo

    public java.lang.String getServletInfo()

  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`
  Overrides:
    `getServletInfo` in class `javax.servlet.GenericServlet`

### service

    public void service(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Writes the content bytes to the output stream. If the character encoding is not set on the response, UTF-8 is set as the charset on the response content type.

  Overrides:
    `service` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - the servlet request object
    `response` - the servlet response object
  Throws:
    `javax.servlet.ServletException` - if a servlet exception occurs
    `java.io.IOException` - if an I/O exception occurs

### servletInvocationMethod

    public static void servletInvocationMethod(javax.servlet.http.HttpServletRequest request,
                                               javax.servlet.http.HttpServletResponse response)
                                        throws javax.servlet.ServletException,
                                               java.io.IOException

  Processes user actions for the data selectors. An IOException is thrown if the HttpActionProvider object cannot be found on the session. The HttpActionProvider executes the selector command and writes selector dialog updates to the response object.

  Parameters:
    `request` - the servlet request object
    `response` - the servlet response object
  Throws:
    `javax.servlet.ServletException` - if a servlet exception occurs
    `java.io.IOException` - if an I/O exception occurs
  See Also:
    `HttpActionProvider`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.